# Uses of Interface
com.sun.mirror.declaration.FieldDeclaration

Packages that use FieldDeclaration
Package
Description
com.sun.mirror.declaration
Interfaces used to model program element declarations.
com.sun.mirror.util
Utilities to assist in the processing of declarations and types.

## Uses of FieldDeclaration in com.sun.mirror.declaration

Subinterfaces of FieldDeclaration in com.sun.mirror.declaration
Modifier and Type
Interface
Description
`interface`
`EnumConstantDeclaration`
Represents an enum constant declaration.
Methods in com.sun.mirror.declaration that return types with arguments of type FieldDeclaration
Modifier and Type
Method
Description
`Collection<FieldDeclaration>`
TypeDeclaration.`getFields()`
Returns the fields that are directly declared by this class or interface.

## Uses of FieldDeclaration in com.sun.mirror.util

Methods in com.sun.mirror.util with parameters of type FieldDeclaration
Modifier and Type
Method
Description
`void`
DeclarationVisitor.`visitFieldDeclaration(FieldDeclaration d)`
Visits a field declaration.
`void`
SimpleDeclarationVisitor.`visitFieldDeclaration(FieldDeclaration d)`
Visits a field declaration.